<?php
/* Template Name: Blog - Masonry Tiles Full-Width */

/*
 * Get header.php
 */
get_header();

?>

<?php
ishyoboy_get_part_tagline(get_the_ID());
?>

<?php
// Breadcrumbs display
ishyoboy_show_breadcrumbs();
?>
<?php

// Template overrides
$ish_options['blog_overview_style'] = 'masonry'; // classic, fullwidth, masonry
$ish_options['blog_masonry_layout_style'] = 'tiles'; // grid, tiles
$ish_options['blog_masonry_columns'] = '5';
$ish_options['blog_masonry_row_style'] = 'full'; // full, notfull
$ish_options['show_blog_categories'] = '0'; // 0, 1
$ish_options['show_blog_sidebar'] = '0'; // 0, 1
$ish_options['blog_sidebar_position'] = 'right'; // left, right
$ish_options['blog_sidebar'] = 'sidebar-main'; // sidebar-main, sidebar-portfolio, sidebar-header, sidebar-footer, sidebar-woocommerce

//Make the page act as Page For Posts
/*global $wp_query;
$wp_query->is_home = true;*/

// The Query
$args = array(
	'post_type' => 'post',
	'paged' => $paged,
	'post_status' => 'publish',
);

$blog_style = ( isset( $ish_options ) && isset( $ish_options['blog_overview_style'] ) ) ? $ish_options['blog_overview_style']  : 'classic';
$blog_cols = ( isset( $ish_options ) && isset( $ish_options['blog_masonry_columns'] ) && 'masonry' == $blog_style ) ? ( ' data-count="' . $ish_options['blog_masonry_columns'] . '"' )  : '';
$masonry_layout = ( 'masonry' == $blog_style && isset( $ish_options ) && isset( $ish_options['blog_masonry_layout_style'] ) && 'grid' == $ish_options['blog_masonry_layout_style'] ) ? ' ish-blog-masonry-layout-grid'  : '';
?>
	<!-- Content part section -->
	<section class="<?php echo apply_filters( 'ish_part_content_classes', 'ish-part_content ish-blog ish-blog-' . $blog_style . $masonry_layout ); ?>"<?php echo $blog_cols; ?>>

		<?php

		if ( ishyoboy_has_sidebar() ){
			// Content with sidebar
			?>
			<div class="ish-row ish-row-notfull ish-with-sidebar">
				<div class="ish-row_inner">
					<div class="<?php echo ishyoboy_get_content_class(); ?>">
						<?php

						// The Query
						$the_query = new WP_Query( $args );

						if ( $the_query->have_posts()) {

							if ( 'masonry' == $blog_style ){
								echo '<span class="ish-preloader"></span>';
							}

							echo ishyoboy_blog_categories();

							if ('masonry' == $blog_style ){
								$mass_row_style = ( isset( $ish_options['blog_masonry_row_style'] ) && 'full' == $ish_options['blog_masonry_row_style'] ) ? ' ish-row-full' : ' ish-row-notfull';
								echo '<div class="wpb_row vc_row-fluid ish-row-notfull ish-row_notsection ish-masonry-container"><div class="ish-vc_row_inner"><div class="ish-packery">';
							}

							while ( $the_query->have_posts() ) {

								$the_query->the_post();

								$format = get_post_format();
								if( false === $format ) { $format = 'standard'; }
								get_template_part( 'content-post', $format );

							}

							if ('masonry' == $blog_style ){
								echo '</div></div></div>';
							}

							if(empty($paged) || 0 == $paged) $paged = 1;

							$pg = ishyoboy_get_pagination('', 3, $the_query->max_num_pages, $paged);
							if ('' != $pg){
								?>
								<div class="wpb_row vc_row-fluid ish-row-notfull ish-row_notsection">
									<div class="ish-vc_row_inner">
										<?php
										echo $pg;
										?>
									</div>
								</div>
							<?php
							}


						} else {  ?>

							<div class="wpb_row vc_row-fluid ish-row-notfull ish-row_notsection">
								<div class="ish-vc_row_inner">
									<?php _e( 'Sorry, there is nothing to be displayed in here.', 'ishyoboy'); ?>
								</div>
							</div>

						<?php }

						/* Restore original Post Data */
						wp_reset_postdata();

						?>


					</div>

					<?php
					// SIDEBAR
					get_sidebar();
					?>

				</div>
			</div>
		<?php
		} else {

			// The Query
			$the_query = new WP_Query( $args );

			if ( $the_query->have_posts()) {

				if ( 'masonry' == $blog_style ){
					echo '<span class="ish-preloader"></span>';
				}

				echo ishyoboy_blog_categories();

				if ('masonry' == $blog_style ){
					$mass_row_style = ( isset( $ish_options['blog_masonry_row_style'] ) && 'full' == $ish_options['blog_masonry_row_style'] ) ? ' ish-row-full' : ' ish-row-notfull';
					echo '<div class="wpb_row vc_row-fluid ' . $mass_row_style . ' ish-row_notsection ish-masonry-container"><div class="ish-vc_row_inner"><div class="ish-packery">';
				}

				while ( $the_query->have_posts() ) {

					$the_query->the_post();

					$format = get_post_format();
					if( false === $format ) { $format = 'standard'; }
					get_template_part( 'content-post', $format );

				}

				if ('masonry' == $blog_style ){
					echo '</div></div></div>';
				}

				if(empty($paged) || 0 == $paged) $paged = 1;

				$pg = ishyoboy_get_pagination('', 3, $the_query->max_num_pages, $paged);
				if ('' != $pg){
					?>
					<div class="wpb_row vc_row-fluid ish-row-notfull ish-row_notsection">
						<div class="ish-vc_row_inner">
							<?php
							echo $pg;
							?>
						</div>
					</div>
				<?php
				}


			} else {  ?>

				<div class="wpb_row vc_row-fluid ish-row-notfull ish-row_notsection">
					<div class="ish-vc_row_inner">
						<?php _e( 'Sorry, there is nothing to be displayed in here.', 'ishyoboy'); ?>
					</div>
				</div>

			<?php }

			/* Restore original Post Data */
			wp_reset_postdata();

		}?>



	</section>
	<!-- Content part section END -->

<?php

/*
 * Get footer.php
 */
get_footer();

?>